# IniFileParser

Implements \FileParserInterface

Implements an IniFileParser. The logic is coming from th Properties.php, but I don't know who's the author.

FIXME

- Add support for arrays (separated by ',')

author | Mike Lohmann mike.lohmann@deck36.de
package | phing.system.io

### Methods

## Process values when being read in from properties file.

    inVal(string $val) : mixed

does things like convert "true" => true

### Arguments

#### $val

`string`

Trimmed value.

### Response

`mixed`

The new property value (may be boolean, etc.)

## Builds an array from the given (ini) file and returns it.

    parseFile(\PhingFile $file) : array

### Arguments

#### $file

`\PhingFile`

### Response

`array`